
package de.ivu.elect.business.kandidatenportal.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.kandidatenportal.entity.WvpWahlvorschlagDaten;
import de.ivu.elect.business.kandidatenportal.boundary.WvpWahlvorschlagDatenDAO;
import de.ivu.elect.business.kandidatenportal.boundary.WvpWahlvorschlagDatenCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWvpWahlvorschlagDatenCreate {

  @Inject
  protected WvpWahlvorschlagDatenDAO dao;

    @Inject
    transient Event<WvpWahlvorschlagDatenCreateEvent> createEvent;



  


public void save(WvpWahlvorschlagDaten entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(WvpWahlvorschlagDaten entity) {
        createEvent.fire(new WvpWahlvorschlagDatenCreateEvent(entity));
  }

}
